Bug 1076516 - Review Request: rubygem-spring - Rails application preloader
Review Request: rubygem-spring - Rails application preloader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-14 09:32 EDT by Josef Stribny
Modified: 2016-01-04 00:52 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-spring-1.1.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 09:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2014-03-14 09:32:38 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-spring.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/2580/6632580/rubygem-spring-1.1.2-1.fc21.src.rpm
Description: Spring is a Rails application preloader. It speeds up development by keeping your application running in the background so you don't need to boot it every time you run a test, rake task or migration.
Fedora Account System Username: jstribny

I am packaging rubygem-spring since Rails 4.1 suggests using spring in development and includes it in default Gemfile.
Comment 1 Vít Ondruch 2014-03-17 12:14:12 EDT
I'll take this for a review.
Comment 2 Vít Ondruch 2014-03-18 08:02:03 EDT
Just from the beginning, please do not link the SRPM from Koji, since it will get garbage collected soon, i.e. the link will become invalid.

* Bundled OkJson library
  - This library has bundling exception, but you should mark it properly via
    virtual provide [1]

* Test suite
  - I failed to execute the test suite as well. Listen is only one piece, but
    there is also extensively used Bundler, which might bring another issues.
  - However, could you fix the comment? rubygem-listen actually *is* in Fedora,
    but in old version. Unfortunately looking in direction in which Listen
    developers go, I am not sure it will be ever updated. I wouldn't be
    surprised that this might be the reason why spring does not depend on recent
    version if listen.

* Missing 'ps' dependency
  - It seems that '$ spring status' requires 'ps' command to work:

    /usr/share/gems/gems/spring-1.1.2/lib/spring/client/status.rb:20:in ``':
      No such file or directory - ps (Errno::ENOENT)

  - Please comment the require appropriately, in case the 'ps' requirement is
    dropped from code base one day.

* Hidden file
  - There is shipped unnecessary hidden file:

    rubygem-spring-doc.noarch: E: version-control-internal-file
      /usr/share/gems/gems/spring-1.1.2/test/apps/.gitignore

Otherwise the package looks sand => APPROVED

Please fix the OkJson and 'ps' dependency prior import.


[1] https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions
Comment 3 Josef Stribny 2014-03-18 08:46:29 EDT
Thank you. Will do.

New Package SCM Request
=======================
Package Name: rubygem-spring
Short Description: Rails application preloader
Owners: jstribny
Branches:
InitialCC:
Comment 4 Gwyn Ciesla 2014-03-18 08:55:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.